# general info
NAME="dhcpcd"
DESC="DHCP and DHCPv6 client"
VERSION="10.0.8"

# required files
FILES=("https://github.com/NetworkConfiguration/dhcpcd/releases/download/v${VERSION}/dhcpcd-${VERSION}.tar.xz")
HASHES=("d8dddf9f971a8d9ff828f33d8fa9f6d9a892a4a1429d230e9efb2be97dd0e313")

# install and build depends
DEPENDS=("glibc" "openssl" "bash" "systemd")
BUILD=()

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.xz"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr              \
            --sysconfdir=/etc            \
            --libexecdir=/usr/lib/dhcpcd \
            --dbdir=/var/lib/dhcpcd      \
            --runstatedir=/run           \
            --privsepuser=dhcpcd
  make && make DESTDIR="${ROOTDIR}" install

  mkdir -pv "${ROOTDIR}/usr/lib/systemd/system"
  install -Dm644 "${ROOTDIR}/dhcpcd.service" "${ROOTDIR}/usr/lib/systemd/system"

  cd .. && rm -r "${NAME}-${VERSION}"
}

install() {
  install  -v -m700 -d /var/lib/dhcpcd
  groupadd -g 52 dhcpcd
  useradd -c 'dhcpcd PrivSep' \
          -d /var/lib/dhcpcd  \
          -g dhcpcd           \
          -s /bin/false       \
          -u 52 dhcpcd
  chown -v dhcpcd:dhcpcd /var/lib/dhcpcd
}
